Subject: RE: [PP1394:00162] Re: Re[2]: P1394> Rough SBP-2 & IP1394 corecom ponent ROM sizes

From: Nagasaka Fumio <[email-masked]>
Date: Mon, 16 Feb 1998 16:43:16 +0900

Nobuhiko wrote:
<<
I may be wrong, or misunderstood your point due to my lack of knowledge,
but the questioning the ROM size to Ueda-san sounds very strange after
checking the back log you attatched.

I don’t’ think so.
The “subject” of these mail is “Rough SBP-2 & IP1394 corecomponent
ROM sizes”,
and Greg gave us how big ROM size would be if we use SBP-2 target and
initiator.

Toru said,
<<
If SBP2 implementation needs 30K for initiator and target, it might be
difficult to use it for consumer device.

I would like to know what is acceptable size of ROM for consumer device.
May be various types of devices have their own implementation. However 
I guess Toru knows DPP very well. So I think his information is
important.
--------------------------------------------
-------------------------------
Fumio Nagasaka
Epson Software Development Laboratory Inc.
Tel +81 268 25 4111,  Fax +81 268 25 4627
E-mail to [email-masked]

		-----Original Message-----
		From:	Nobuhiko Shinoda [SMTP:[email-masked]]
		Sent:	Monday, February 16, 1998 3:03 PM
		To:	pp1394 ML
		Cc:	Fumio Nagasaka; 'Toru Ueda'; Turner, Randy;
'Stephen Holmstead'; 'Brian Batchelder'; [email-masked]
		Subject:	[PP1394:00162] Re: Re[2]: P1394> Rough
SBP-2 & IP1394 corecomponent ROM sizes

		Nagasaka-san:

		Seeing the previous mail of Ueda-san, the ROM size isuue
is not the discussing
		point.  And I hardly understand your comparison of the
code size to VxWorks or
		Jet Send.

		The value of 30k itself has not determined well enough.
Even if it is true,
		does 30k cover real symmetric structure for the
equipment and  some upper layer
		i/f capability which Thin Protocol might cover to put on
DPP command/data set
		?

		I am slightly sensitive to talk about just ROM size
based on someone's
		imagination or illusion which has not well identfied the
functionality.  

		Jet Send's code size is not worth for comparing or
discussing transport layer.
		"Consumer" product is very sensitive to cost of code
size, but it also depends
		on the benefit of "consumer".  In my experience, the
first EOS system had 64kB
		total ROM 10 years ago, but it was successful in the
market for the reason of
		integration of automatic and manual tuning capability
with simple user
		interface.  JetSend might lead successful product in
consumer market regardless
		of its code size.  But this is not the discussiong point
in PWG-C.

		I may be wrong, or misunderstood your point due to my
lack of knowledge, but
		the questioning the ROM size to Ueda-san sounds very
strange after checking the
		back log you attatched.

		At 14:11 98/02/15 +0900, you wrote:
		> Dear Toru san,
		> 
		> One point.
		> I think 30k is good size even for cheap consumer
devices.
		> This size is smaller than typical VxWorks
implementation, and it
		> may be smaller than JetSend.
		> 
		> So please give us information how big your DPP ROM
size is expected to.

		篠田　信比古
		Ｎｏｂｕｈｉｋｏ　Ｓｈｉｎｏｄａ
		Bシステム開発部部長
		General　Manager
		BJ Printing System Development Division
		B機器技術開発センター副所長
		Assistant Senior General Manager
		BJ Printing System Technology　Development Center
		Ｃａｎｏｎ　Ｉｎｃ．